Spaces
Rename a space
Rename a Space and relocate its stored content.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
space_id*string
Resource identifier: space_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "name": "Customer documents" }'{ "id": "123e4567-e89b-42d3-a456-426614174000", "clerk_user_id": "user_2abcDEF", "name": "Customer documents", "storage_prefix": "tenants/acme/customer-documents/", "created_at": "2026-09-04T12:00:00Z", "role": "ADMIN", "is_owner": false, "can_read": false, "can_download": false, "can_upload": false, "can_delete": false, "can_rename": false, "document_count": 0, "member_count": 0, "skill_count": 0}